Opened 4 years ago

Closed 3 years ago

Last modified 6 months ago

#8398 closed enhancement (fixed)

res_query warning in torsocks

Reported by: zqcxobbe Owned by: ioerror
Priority: Low Milestone:
Component: Core Tor/Torsocks Version:
Severity: Keywords: torsocks res_query
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Short version: res_query keeps showing in torsocks (release from Torsocks 1.3 2013-02-11)

Long version:
I know, it is stated in the Changelog that this is no longer a problem, that it does not prevent torsocks from working properly, etc. However, it _is_ annoying not being able to see the output of some applications. Plus, it does mess up aptitude a little bit (I don't know if it has to do with other applications too). I just wanted to contribute, and here I go... (by the way, you may want to change the last recommendation from run_tests.sh). Good luck!

./run_tests.sh: 42: [1,120c1,49
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
< libtorsocks: our_getaddrinfo: 'www.torproject.org' requested
< libtorsocks: Got sendmsg request
< libtorsocks: sendmsg: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
< libtorsocks: Got sendto request
< libtorsocks: sendto: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
< libtorsocks: Got sendto request
< libtorsocks: sendto: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
< libtorsocks: our_gethostbyaddr: resolved '38.229.70.16' to: 'vescum.torproject.org'
< libtorsocks: our_gethostbyname: 'www.torproject.org' requested
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< libtorsocks: Got connection request
< libtorsocks: Intercepted call to getpeername
< libtorsocks: Got res_init request
< libtorsocks: Got connection request
< libtorsocks: Intercepted call to getpeername
< libtorsocks: Got connection request
< libtorsocks: Intercepted call to getpeername
< libtorsocks: Got connection request
< libtorsocks: Intercepted call to getpeername
< libtorsocks: Got connection request
< libtorsocks: Intercepted call to getpeername
< libtorsocks: Got res_init request
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< libtorsocks: Got connection request
< libtorsocks: connect: Connection is to a local address (192.168.1.1), may be a TCP DNS request to a local DNS server so have to reject to be safe. Please report a bug to http://code.google.com/p/torsocks/issues/entry if this is preventing a program from working properly with torsocks.
< socket: Operation not permitted
<
< ----------------------getaddrinfo() TEST-----------------
<
< getaddrinfo: Servname not supported for ai_socktype
<
< ----------------------UDP TEST----------------------
<
<
< ----------------------udp sendmsg() TEST-------------------
<
< sendmsg() returned ret=-1 wb=0
<
< ----------------------udp sendto() TEST--------------------
<
< sendto() returned ret=-1 wb=0
<
< ----------------------udp connect() TEST-------------------
<
< Connect returned ret=-1
<
< ----------------------udp send() TEST----------------------
<
< Note: no interception by torsocks expected as send() requires a socket in a connected state.
< send() returned ret=-1 wb=0
<
< ----------------------gethostbyaddr() TEST-----------------
<
< vescum.torproject.org -> 38.229.70.16
<
< ----------------------gethostbyname() TEST-----------------
<
< www.torproject.org -> 38.229.70.16
<
< ---------------------- local connect() TEST----------------------
<
<
< ---------------------- internet connect() TEST----------------------
<
<
< ---------------------- internet res_init() TEST----------------------
<
< nameserver for test: 8.8.8.8
<
< ---------------------- internet res_query() TEST----------------------
<
< return code: 102
<
< ---------------------- internet res_search() TEST----------------------
<
< return code: 102
<
< --------------- internet res_querydomain() TEST----------------------
<
< return code: -1
<
< ---------------------- internet res_send() TEST----------------------
<
< return code: -1
<
< ---------------------- local res_init() TEST----------------------
<
< nameserver for test: 192.168.1.1
<
< ---------------------- local res_query() TEST----------------------
<
< return code: -1
<
< ---------------------- local res_search() TEST----------------------
<
< return code: -1
<
< --------------- local res_querydomain() TEST----------------------
<
< return code: -1
<
< ---------------------- local res_send() TEST----------------------
<
< return code: -1
<
< ----------------icmp() TEST----------------------------
<
---

18:49:48 libtorsocks(14060): Configuration file not provided by TORSOCKS_CONF_FILE environment variable, attempting to use defaults in /etc/torsocks.conf.
18:49:48 libtorsocks(14060): New network entry for 127.0.0.0 going to 0x01dbb110
18:49:48 libtorsocks(14060): New network entry for 127.128.0.0 going to 0x01dbb140
18:49:48 libtorsocks(14060): New network entry for 169.254.0.0 going to 0x01dbb170
18:49:48 libtorsocks(14060): New network entry for 172.16.0.0 going to 0x01dbb1a0
18:49:48 libtorsocks(14060): New network entry for 192.168.0.0 going to 0x01dbb1d0
18:49:48 libtorsocks(14060): New network entry for 127.0.0.0 going to 0x01dbb220
18:49:48 libtorsocks(14060): New network entry for 10.0.0.0 going to 0x01dbba00
18:49:48 libtorsocks(14060): New network entry for 192.168.0.0 going to 0x01dbba30
18:49:48 libtorsocks(14060): New network entry for 172.16.0.0 going to 0x01dbba60
18:49:48 libtorsocks(14060): New network entry for 169.254.0.0 going to 0x01dbba90
18:49:48 libtorsocks(14060): New network entry for 192.168.0.0 going to 0x01dbbac0
18:49:48 libtorsocks(14060): New network entry for 127.0.69.0 going to 0x01dbbaf0
18:49:48 libtorsocks(14060): In tsocks_init after env/config
18:49:48 libtorsocks(14060): The symbol res_init() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_query() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_search() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_send() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_querydomain() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): deadrange width is 8 bits
18:49:48 libtorsocks(14060): init_pool: sockshost 127.0.0.1
18:49:48 libtorsocks(14060): Exit tsocks_init
18:49:48 libtorsocks(14060): In tsocks_init
18:49:48 libtorsocks(14060): In tsocks_init after env/config
18:49:48 libtorsocks(14060): The symbol res_init() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_query() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_search() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_send() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol res_querydomain() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
18:49:48 libtorsocks(14060): Exit tsocks_init
18:49:48 libtorsocks(14060): Got sendmsg request
18:49:48 libtorsocks(14060): sockopt: 2
18:49:48 libtorsocks(14060): sendmsg: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
18:49:48 libtorsocks(14060): Got sendto request
18:49:48 libtorsocks(14060): sockopt: 2
18:49:48 libtorsocks(14060): sendto: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
18:49:48 libtorsocks(14060): Got sendto request
18:49:48 libtorsocks(14060): sockopt: 2
18:49:48 libtorsocks(14060): sendto: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
18:49:48 libtorsocks(14060): Got connection request
18:49:48 libtorsocks(14060): sin_family: 2
18:49:48 libtorsocks(14060): sockopt: 2
18:49:48 libtorsocks(14060): connect: Connection is a UDP or ICMP stream, may be a DNS request or other form of leak: rejecting.
18:49:48 libtorsocks(14060): do_resolve: resolving
18:49:48 libtorsocks(14060): Got status response '4': SOCKS5 request failed.18:49:48 libtorsocks(14060): do_resolve: error parsing SOCKS response
18:49:48 libtorsocks(14060): failed to reverse resolve: 38.229.70.16
Segmentation fault: File name too long

Tests failed. Please post this output to http://code.google.com/p/torsocks/issues/entry

Child Tickets

Change History (9)

comment:1 Changed 4 years ago by lunar

Your report is missing informations on your operating system and which libc it is using. Could you please provide them?

comment:2 Changed 4 years ago by zqcxobbe

By all means: Trisquel 5.5 kernel 3.8.2-gnu with libc6 2.13 (2.13-20ubuntu5.3) from repositories. I also noticed that using

$ uwt -t 5 -i 127.0.0.1 -p 9050 aptitude download <package>

resulted in an error:

connect (9: Bad file descriptor)

I have no problem using aptitude as a package manager in general. I tried using the non-uwt version, and it tells me that "501 Tor is not an HTTP Proxy". I don't get it, but that is because I have no real idea of what I am doing. It may have to do something with iptables. I don't want to post them, because I don't know how safe that is...

comment:3 Changed 4 years ago by sysrqb

Thanks for the report!

I see three parts to this bug, so I'll try to answer them.

1) To be honest, the tests are out of date and were not reviewed/updated for the new release. It's good we now have an open bug to fix this.

2) What's you suggestion for res_query()? In general, the warnings about missing res_*() symbols all behave the same way.

3) As for your problem with aptitude, without any additional info I'll make a blind guess and say it's related to #8066 based on the 501 error code. This guess obviously makes no sense with regard to the connect() error. If you have more info, you can always open another bug with additional debug output. uwt is unsupported, so we won't be able to provide help with that.

comment:4 Changed 4 years ago by zqcxobbe

Ackn 1)
2): I have no idea. I just know that it happens. I have been using linux for a while, and know one or two things, but I'm no developer or anything. As far as I can go, is trying to do things that you recommend. I don't know if it would be possible to filter the messages in the terminal (how?) or just disable them from the code.
3): Again, I don't really know much, so I see that I cannot understand #8066 nor its relationship to the present problem. I know that if I unset the environment variables http_proxy and HTTP_PROXY, then this works:

$ uwt -t 5 -i 127.0.0.1 -p 9050 aptitude download <package>

Let me know if there is an update in the torproject.org repository that you would like me to try or something else.

Long live freedom

comment:5 Changed 4 years ago by sysrqb

  • Status changed from new to needs_information

hrm. there are actually few not-good things that I guess I missed the first time I read through this.

Can you copy and paste any output that you get when you see the res_query messages? Please remove any personal information if you want to. It'll be useful to see the context of the warnings.

Some other things I noticed:
1) The Torsocks constructor is named tsocks_init
2) The test segfaulted on gethostbyname_test (I think)...need more info though

If you rerun run_test.sh, does it end with the Segmentation fault line again?

comment:6 Changed 4 years ago by zqcxobbe

I replaced a torproject.org DNS by <DNS1> and two IPs by <IP1> and <IP2> in the output of run_tests.sh.
Just like before, I have no idea of what tsocks_init is. I also see the gethostbyname thing in the output. What that means beats me. Let me know what I can do for you.

Output of aptitude

$PS1 > sudo aptitude
This is uwt /usr/local/bin/aptitude wrapper.
10:44:37 libtorsocks(2093): WARNING: The symbol res_query() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_query() with the reported error: Not Found
10:44:37 libtorsocks(2093): WARNING: The symbol res_search() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_search() with the reported error: Not Found
10:44:37 libtorsocks(2093): WARNING: The symbol res_send() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_send() with the reported error: Not Found
10:44:37 libtorsocks(2093): WARNING: The symbol res_querydomain() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_querydomain() with the reported error: Not Found
10:44:37 libtorsocks(2094): WARNING: The symbol res_query() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_query() with the reported error: Not Found
10:44:37 libtorsocks(2094): WARNING: The symbol res_search() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_search() with the reported error: Not Found
10:44:37 libtorsocks(2094): WARNING: The symbol res_send() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_send() with the reported error: Not Found
10:44:37 libtorsocks(2094): WARNING: The symbol res_querydomain() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_querydomain() with the reported error: Not Found
10:44:37 libtorsocks(2087): WARNING: The symbol res_query() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_query() with the reported error: Not Found
10:44:37 libtorsocks(2087): WARNING: The symbol res_search() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_search() with the reported error: Not Found
10:44:37 libtorsocks(2087): WARNING: The symbol res_send() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_send() with the reported error: Not Found
10:44:37 libtorsocks(2087): WARNING: The symbol res_querydomain() was not found in any shared library with the reported error: Not Found!
  Also, we failed to find the symbol __res_querydomain() with the reported error: Not Found

Contents of uwt:

#!/bin/bash

# Update 17

# https://trac.torproject.org/projects/tor/wiki/doc/torsocks

# ***************************************************************************
# * *
# * Copyright (C) 2008-2011 Robert Hogan <robert@roberthogan.net> *
# * *
# * This program is free software; you can redistribute it and/or modify *
# * it under the terms of the GNU General Public License as published by *
# * the Free Software Foundation; either version 2 of the License, or *
# * (at your option) any later version. *
# * *
# * This program is distributed in the hope that it will be useful, *
# * but WITHOUT ANY WARRANTY; without even the implied warranty of *
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the *
# * GNU General Public License for more details. *
# * *
# * You should have received a copy of the GNU General Public License *
# * along with this program; if not, write to the *
# * Free Software Foundation, Inc., *
# * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. *
# ***************************************************************************
# * *
# * This is a modified version of a source file from the Tor project. *
# * Original copyright notice from tsocks source file follows: *
# ***************************************************************************

# Wrapper script for use of the tsocks(8) transparent socksification library
# See the tsocks(1) and torify(1) manpages.

# Copyright (c) 2004, 2006 Peter Palfrader
# Modified by Jacob Appelbaum <jacob@appelbaum.net> April 16th 2006
# Modified by Marcus Griep <marcus@griep.us> June 16 2009
# May be distributed under the same terms as Tor itself
# Modified by adrelanos (aka proper)
# Modifications copyright (c) 2012
# Whonix license: See LICENSE in root of Whonix source for copyright, license and authors.

# Note:
# -v (verbose) and the UWT_VERBOSE environment variable set to 1
# will break many graphical applications, which use applications,
# which will call applications, which we wrapped to use uwt.

# You can also type in shell:
# export UWT_VERBOSE="1"
# to enable verbose output.

# UWT_DEV_PASSTHROUGH is only supported in Whonix.
# Only supposed to be used by developers.
# Torsocks will not be used.
# Traffic will be send in the clear.
# Thus, if behind a transparent proxy, traffic will go through that transparent proxy.
# Just as uwt would not be used.
# This is useful for development and building Whonix.
# export UWT_DEV_PASSTHROUGH="1"

# Note:
# When running applications as root, you also have to set and
# export that variable as root.

NAME=$(basename $0)

# Define and ensure we have tsocks
# XXX: what if we do not have which?
TORSOCKS="`which torsocks`"

if [ -z "$UWT_VERBOSE" ]; then
# echo "UWT_VERBOSE: did not exist."
UWT_VERBOSE="0"
else
if [ "$UWT_VERBOSE" = "1" ]; then
set -x
fi
fi
#echo "UWT_VERBOSE: $UWT_VERBOSE"

if [ -z "$UWT_DEV_PASSTHROUGH" ]; then
# echo "UWT_DEV_PASSTHROUGH: did not exist."
UWT_DEV_PASSTHROUGH="0"
fi

usage () {
        echo "Usage: $NAME [-h] [-v] -t server_type -i ip -p port <command> [<options>...]"
        echo "Example: $NAME -t 5 -i 127.0.0.1 -p 9050 wget https://check.torproject.org"
        echo " sudo $NAME -t 5 -i 192.168.0.10 -p 9104 /usr/bin/apt-get --yes dist-upgrade"
}

set_id () {
echo "ERROR: $1 is set${2}id. usewithtor will not work on a set${2}id executable." >&2
exit 1
}

# Check for any argument list
if [ "$#" = 0 ]; then
usage >&2
exit 1
fi

while [ -n "$1" ]; do
case "$1" in
      -h)
          usage
          exit 0
          ;;
      -v)
          set -x
          UWT_VERBOSE="1"
          ;;
      -i)
          ip="$2"
          shift
          ;;
      -p)
          port="$2"
          shift
          ;;
      -t)
          server_type="$2"
          shift
          ;;
      *)
          command="`which $1`"
          # From now on the complete to-be wrapped command + its args
          # are stored in $@, which will expand like we want it for
          # handling quoted arguments with whitespaces in it, etc.
          break
esac
shift
done

if [ -z "$ip" ]; then
echo "ERROR: ip (-i) missing." >&2
exit 1
fi

if [ -z "$port" ]; then
echo "ERROR: port (-p) missing." >&2
exit 1
fi

if [ -z "$server_type" ]; then
echo "ERROR: server type (-t) missing." >&2
exit 1
fi

if [ -z "$command" ]; then
echo "ERROR: command is missing." >&2
exit 1
fi

if [ "$UWT_VERBOSE" = "1" ]; then
echo "uwt command: \"$@\""
fi

if [ ! -x "$command" ]; then
echo "UWT ERROR: $1 is not an executable." >&2
exit 1
elif [ -u "$command" ]; then
set_id $1 u
elif [ -g "$command" ]; then
set_id $1 g
fi

if [ ! -x "$TORSOCKS" ]; then
echo "$NAME: Unable to find torsocks in PATH." >&2
echo " Perhaps you have not installed it?" >&2
exit 1
fi

if [ "$UWT_VERBOSE" = "1" ]; then
echo "We are armed with the following torsocks: $TORSOCKS"
fi

# Define our torsocks config file.
TORSOCKS_CONF_FILE="`mktemp`"
export TORSOCKS_CONF_FILE
#echo "TORSOCKS_CONF_FILE: $TORSOCKS_CONF_FILE"

echo "
# Temporary torsocks configuration file created by uwt.
# Safe to delete.
local = 127.0.0.0/255.128.0.0
local = 127.128.0.0/255.192.0.0
local = 169.254.0.0/255.255.0.0
local = 172.16.0.0/255.240.0.0
local = 192.168.0.0/255.255.0.0
server = $ip
server_type = $server_type
server_port = $port
" > "$TORSOCKS_CONF_FILE"

# Check that we have got a torsocks config file
if [ ! -r "$TORSOCKS_CONF_FILE" ]; then
  # Since identity corelation through circuit sharing is at risk,
  # we should no longer let torsocks default to 9050.
  echo "$NAME: Missing torsocks configuration file \"$TORSOCKS_CONF_FILE\."
  exit 1
fi

if [ "$UWT_VERBOSE" = "1" ]; then
echo "uwt"
    echo "ip: $ip port: $port"
fi

UWT_LOCALHOST="0"

#echo "uwt: $ *: $*"
case "$*" in
  *127.0.0.1*)
    UWT_LOCALHOST="1"
  ;;
  *localhost*)
    UWT_LOCALHOST="1"
  ;;
  *)
    # do nothing
    true
  ;;
esac

if [ "$UWT_DEV_PASSTHROUGH" = "1" ]; then

if [ "$UWT_VERBOSE" = "1" ]; then
echo "uwt: UWT_DEV_PASSTHROUGH detected."
    echo "exec torsocks \"$@\""
  fi

if [ ! -f "/usr/local/share/whonix/whonix_workstation" ] && \
     [ ! -f "/usr/local/share/whonix/whonix_gateway" ]; then
echo "UWT_DEV_PASSTHROUGH is only supported in Whonix." >&2
    exit 1
  fi

  # Safe in Whonix.
  exec "$@"

  exitcode="$?"
  exit "$exitcode"
fi

if [ "$UWT_LOCALHOST" = "1" ]; then

if [ "$UWT_VERBOSE" = "1" ]; then
echo "uwt: localhost detected."
    echo "exec torsocks \"$@\""
  fi
if [ ! -f "/usr/local/share/whonix/whonix_workstation" ] && \
     [ ! -f "/usr/local/share/whonix/whonix_gateway" ]; then
echo "uwt will not work for localhost connections." >&2
    exit 1
  fi

  # Safe in Whonix.
  exec "$@"
  
else

if [ "$UWT_VERBOSE" = "1" ]; then
echo "uwt: localhost not detected. Using torsocks."
    echo "exec torsocks \"$@\""
    #echo "exec torsocks $command"
  fi

exec torsocks "$@"
  
fi

# End of uwt script.

Contents of /usr/local/bin/aptitude

#!/bin/bash
# https://trac.torproject.org/projects/tor/wiki/doc/torsocks
echo "This is uwt /usr/local/bin/aptitude wrapper."
#usewithtor /usr/bin/aptitude $*
/usr/local/bin/uwt -t 5 -i 127.0.0.1 -p 9050 /usr/bin/aptitude $*

Output of run_tests.sh

$PS1> ./run_tests.sh
./run_tests.sh: 38: ./run_tests.sh: [1,3c1,22
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
< libtorsocks: The symbol getipnodebyname() was not found in any shared library. The error reported was: not found!
---
> libtorsocks: WARNING: The symbol res_query() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_query() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_search() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_search() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_send() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_send() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_querydomain() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_querydomain() with the reported error: Not Found
> libtorsocks: WARNING: The symbol getipnodebyname() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __getipnodebyname() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_query() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_query() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_search() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_search() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_send() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_send() with the reported error: Not Found
> libtorsocks: WARNING: The symbol res_querydomain() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __res_querydomain() with the reported error: Not Found
> libtorsocks: WARNING: The symbol getipnodebyname() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __getipnodebyname() with the reported error: Not Found
> libtorsocks: WARNING: The symbol getipnodebyname() was not found in any shared library with the reported error: Not Found!
>   Also, we failed to find the symbol __getipnodebyname() with the reported error: Not Found
13c32,33
< libtorsocks: our_gethostbyaddr: resolved '<IP1>' to: '<DNS1>'
---
> libtorsocks: Got status response '4': SOCKS5 request failed.libtorsocks: do_resolve: error parsing SOCKS response
> libtorsocks: failed to reverse resolve: <IP1>
27a48,49
> libtorsocks: Got connection request
> libtorsocks: Intercepted call to getpeername
67d88
< <DNS1> -> <IP1>
71c92
< www.torproject.org -> <IP1>
---
> www.torproject.org -> <IP2>
85c106
< return code: 102
---
> return code: -1
89c110
< return code: 102
---
> return code: -1: File name too long
Tests failed. Please post this output to http://code.google.com/p/torsocks/issues/entry
Last edited 16 months ago by zqcxobbe (previous) (diff)

comment:7 Changed 4 years ago by zqcxobbe

I can see that my underscores turn into underlined sentences. Many of the res_query(), getipnodebyname() and res_querydomain() messages begin with two underscores __res_query(), for example.
[Update]: Sorry, now wrapped everything as code using {{{ }}}

Last edited 16 months ago by zqcxobbe (previous) (diff)

comment:8 Changed 3 years ago by zqcxobbe

Hi, I want to know if the following information is reliable:
https://code.google.com/p/torsocks/issues/detail?id=3

Issue 3: libtorsocks: The symbol res_send() was not found in any shared library. The error reported was: not found!

comment:9 Changed 3 years ago by zqcxobbe

  • Resolution set to fixed
  • Status changed from needs_information to closed
  • Type changed from defect to enhancement

Solution: get the new version of torsocks

<dgoulet> it's OK to ignore those, you can use torsocks 2.0 (https://gitweb.torproject.org/torsocks.git) if you want them out :)

so:
Download, unpack and compile:

curl -L https://gitweb.torproject.org/torsocks.git/snapshot/e54d80bc9595beeceac637b03e5c5395c07e62f7.tar.gz -o torsocks.tar.gz #download v2.2.0
unar -D -o torsocks torsocks.tar.gz && ||\
  mkdir torsocks &&\
  tar xzf torsocks.tar.gz -C torsocks
cd torsocks/*
./autogen.sh
./configure
make
make install #as root, admin, super-user, supercow, pretty please

Or (for Debian-based)

sudo aptitude install git autoconf automake build-essential libool
git clone --depth 1 https://git.torproject.org/torsocks.git #download
cd torsocks*
./autogen.sh
./configure
make
sudo make install
Last edited 6 months ago by zqcxobbe (previous) (diff)
Note: See TracTickets for help on using tickets.